Last Comment Bug 723469 - RSS feeds are not properly recognized [rss2 feeds with isPermaLink=false and no link url only]
: RSS feeds are not properly recognized [rss2 feeds with isPermaLink=false and ...
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: 10
: All All
-- critical (vote)
: Thunderbird 13.0
Assigned To: alta88
:
:
Mentors:
: 730137 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 04:26 PST by Matt
Modified: 2012-02-29 11:17 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch (652 bytes, patch)
2012-02-14 07:32 PST, alta88
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Matt 2012-02-02 04:26:46 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:10.0) Gecko/20100101 Firefox/10.0
Build ID: 20120129021758

Steps to reproduce:

I pressed "Get Messages" to update my RSS feeds. 


Actual results:

Some feeds are not updating, and one is being reported as an invalid feed in the add-on bar at the bottom of the window. I checked the web site for the problematic RSS feeds, and there are new items available. I then reverted to Thunderbird 9.0.1 and the feeds are behaving properly again.
Comment 1 User image Matt 2012-02-02 04:32:21 PST
The two feeds that I know for sure had content available that wasn't being recognized are as follows:
http://podcastrss.play.it/mully-and-hanley-show_mp3_32.xml
http://podcastrss.play.it/the-mcneil-and-spiegel-show_mp3_32.xml

The feed that was being reported as invalid is https://www.audi-mediaservices.com/publish/ms/content/en/public.rss2.gid-oeffentlichkeit.xml

I am running Thunderbird in Windows 7 (32 bit), and the extensions I have installed are Add-On Compatibility Reporter, Calendar Tweaks, Folderpane Tools, Lightning, LightningButton, LookOut and NoGlass.
Comment 2 User image Hashem Masoud 2012-02-02 23:12:31 PST
(In reply to Matt from comment #0)
> Some feeds are not updating, and one is being reported as an invalid feed in
> the add-on bar at the bottom of the window. I checked the web site for the
> problematic RSS feeds, and there are new items available. I then reverted to
> Thunderbird 9.0.1 and the feeds are behaving properly again.

So this issue happened just after the upgrade? Is there anything in the error console?
Comment 3 User image Matt 2012-02-03 07:53:12 PST
Yes, it happened after the upgrade. After reverting to TB 9.0.1 everything worked properly again. After trying TB 10 again, even in safe mode, the problem persists. The error console is showing the following errors:

Error: Unable to report telemetry.
Source File: resource://gre/modules/PlacesDBUtils.jsm
Line: 975

www.audi-mediaservices.com : server does not support RFC 5746, see CVE-2009-3555

pop.secureserver.net : server does not support RFC 5746, see CVE-2009-3555

Error: not well-formed
Source File: https://www.audi-mediaservices.com/publish/ms/content/en/public.rss2.gid-oeffentlichkeit.xml
Line: 371, Column: 222
Source Code:
 <c:image_link_alt_00 type="string">Franziska Moennig, chair of the Presiding Committee of the „Automotive Circle International”, gave the trophy EuroCarBody Award to plant manager Albrecht Reimold  and the trophy Doors & Closures Innovation Award to Dr. Klaus Koglin, head of the technology development (to the right). Frank Martin, development door systems (to the left) and Hartmut Elsässer, project controlling A6-production, received the certifications.   </c:image_link_alt_00>
Comment 4 User image :aceman 2012-02-07 08:32:29 PST
Well, giving that link to IE8 yields this error:
Whitespace is not allowed at this location.
 Line: 378 Character: 222

 <c:image_link_alt_00 type="string">Franziska Moennig, chair of the Presiding Committee of the „Automotive Circle International”, gave the trophy EuroCarBody Award to plant manager Albrecht Reimold  and the trophy Doors & Closures Innovation Award to Dr. Klaus Koglin, head of the technology development (to the right). Frank Martin, development door systems (to the left) and Hartmut Elsässer, project controlling A6-production, received the certifications.   </c:image_link_alt_00>
 
So there could be a real problem in that feed...
Is it legal to use & unescaped as &amp; entity?
Comment 5 User image alta88 2012-02-13 19:50:54 PST
although all 3 of these feeds (rss2) are sort of poorly constructed, only the last is cleanly handled by Tb as genuinely broken beyond salvage.

the first 2, despite failing to validate on a bad enclosure length syntax, cause Tb to choke/hang earlier for invalid reasons.  Tb attempts to create a content-base header from a null value; this should be a url.  the feeds specifically don't give a url, so Tb's assumption needs to be fixed/handled.  (the guid is a url but isPermaLink is false, and there is no link tag, so Tb assumes null).
Comment 6 User image Matt 2012-02-14 05:46:26 PST
After doing some more looking, the Audi RSS feed is invalid and has issues, so that one should be ignored here. I tried TB 10.0.1 and the problem still persists for the other 2 feeds. They still work perfectly well in TB 9.0.1, so something in the way TB handles RSS feeds has changed.
Comment 7 User image alta88 2012-02-14 07:32:32 PST
Created attachment 597023 [details] [diff] [review]
patch

actually, the error is on trying to set the BASE href.  this is a regression from Bug 606818, where a null went through some hoops to become a "".
Comment 8 User image alta88 2012-02-28 15:29:11 PST
*** Bug 730137 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.